Bug 480243 - Document the reasons behind HTS test rules wherever possible
Document the reasons behind HTS test rules wherever possible
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Policy Guide (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rob Landry
Depends On:
  Show dependency treegraph
Reported: 2009-01-15 16:12 EST by Gary Case
Modified: 2010-10-23 03:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-28 14:52:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gary Case 2009-01-15 16:12:30 EST
Description of problem:
Some of the procedure for HTS testing is dictated by the the way the test scripts are written. For example, we have a stated requirement of installation to one disk for the STORAGE test. The reason behind this is perfectly understandable: we need usable space for the test scripts to work. The test scripts can run on either a swap partition or a totally blank disk, so the request to install on one disk only fits this requirement. 

The problem here is that our "install to one disk only" rule is only one way to interpret the requirements of the STORAGE test. My partners prefer to install as much hardware at one time on a system as physically possible, as this reduces the number of hts runs that must be performed. They have been limited in their ability to install and test multiple storage options simultaneously because of our one disk only rule. If we document the fact that the STORAGE test merely needs a swap partition or a blank disk to run, they'll realize that they can install to one disk and then blank all their other disks to test as many disk options as their machine can physically hold at once. This will reduce the number of required runs, making them happy, and reduce the number of test packages submitted, which will make our review team happy.

Version-Release number of selected component (if applicable):
Comment 1 Rob Landry 2009-02-03 18:44:06 EST
I've started to add some "why" background conversation but the remark tag now renders in some hideous black on fuchsia block style.  I'll have to query on what's going on there.

Note You need to log in before you can comment on or make changes to this bug.